org.jboss.resteasy.skeleton.key.idm

## Interface IdentityManager

- All Known Implementing Classes:
    InfinispanIDM

      public interface IdentityManager

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Realm` | `create(Realm realm)`
    `RequiredCredential` | `create(Realm realm, RequiredCredential cred)`
    `Resource` | `create(Realm realm, Resource resource)`
    `Role` | `create(Realm realm, Resource resource, String role)`
    `RoleMapping` | `create(Realm realm, Resource resource, User user, RoleMapping mapping)`
    `ScopeMapping` | `create(Realm realm, Resource resource, User user, ScopeMapping mapping)`
    `Role` | `create(Realm realm, String role)`
    `User` | `create(Realm realm, User user)`
    `RoleMapping` | `create(Realm realm, User user, RoleMapping mapping)`
    `ScopeMapping` | `create(Realm realm, User user, ScopeMapping mapping)`
    `UserAttribute` | `create(User user, UserAttribute attribute)`
    `UserCredential` | `create(User user, UserCredential cred)`
    `void` | `delete(Realm realm)`
    `void` | `delete(RequiredCredential cred)`
    `void` | `delete(Resource resource)`
    `void` | `delete(Role role)`
    `void` | `delete(RoleMapping role)`
    `void` | `delete(ScopeMapping scope)`
    `void` | `delete(User user)`
    `void` | `delete(UserAttribute attribute)`
    `void` | `delete(UserCredential cred)`
    `UserCredential` | `getCredential(String id)`
    `List<UserCredential>` | `getCredentials(User user)`
    `Realm` | `getRealm(String id)`
    `RequiredCredential` | `getRealmCredential(String id)`
    `List<Realm>` | `getRealmsByName(String name)`
    `List<RequiredCredential>` | `getRequiredCredentials(Realm realm)`
    `Resource` | `getResource(Realm realm, String name)`
    `Resource` | `getResource(String id)`
    `List<Resource>` | `getResources(Realm realm)`
    `Role` | `getRole(String id)`
    `Role` | `getRoleByName(Realm realm, String roleName)`
    `Role` | `getRoleByName(Resource resource, String roleName)`
    `RoleMapping` | `getRoleMapping(Realm realm, Resource resource, User user)`
    `RoleMapping` | `getRoleMapping(Realm realm, User user)`
    `RoleMapping` | `getRoleMapping(String id)`
    `List<RoleMapping>` | `getRoleMappings(Realm realm)`
    `List<RoleMapping>` | `getRoleMappings(Realm realm, Resource resource)`
    `List<Role>` | `getRoles(Realm realm)`
    `List<Role>` | `getRoles(Realm realm, Resource resource)`
    `ScopeMapping` | `getScopeMapping(Realm realm, Resource resource, User user)`
    `ScopeMapping` | `getScopeMapping(Realm realm, User user)`
    `ScopeMapping` | `getScopeMapping(String id)`
    `List<ScopeMapping>` | `getScopeMappings(Realm realm)`
    `List<ScopeMapping>` | `getScopeMappings(Realm realm, Resource resource)`
    `User` | `getUser(Realm realm, String username)`
    `UserAttribute` | `getUserAttribute(String id)`
    `void` | `update(Realm realm)`
    `void` | `update(RequiredCredential cred)`
    `void` | `update(Resource resource)`
    `void` | `update(User user)`
    `void` | `update(UserAttribute attribute)`
    `void` | `update(UserCredential cred)`

- - ### Method Detail

    - #### getRealm

          Realm getRealm(String id)

    - #### create

          Realm create(Realm realm)

    - #### update

          void update(Realm realm)

    - #### delete

          void delete(Realm realm)

    - #### getRequiredCredentials

          List<RequiredCredential> getRequiredCredentials(Realm realm)

    - #### getRealmCredential

          RequiredCredential getRealmCredential(String id)

    - #### create

          RequiredCredential create(Realm realm,
                                  RequiredCredential cred)

    - #### update

          void update(RequiredCredential cred)

    - #### delete

          void delete(RequiredCredential cred)

    - #### getUser

          User getUser(Realm realm,
                     String username)

    - #### create

          User create(Realm realm,
                    User user)

    - #### update

          void update(User user)

    - #### delete

          void delete(User user)

    - #### getCredentials

          List<UserCredential> getCredentials(User user)

    - #### getCredential

          UserCredential getCredential(String id)

    - #### create

          UserCredential create(User user,
                              UserCredential cred)

    - #### update

          void update(UserCredential cred)

    - #### delete

          void delete(UserCredential cred)

    - #### getUserAttribute

          UserAttribute getUserAttribute(String id)

    - #### create

          UserAttribute create(User user,
                             UserAttribute attribute)

    - #### update

          void update(UserAttribute attribute)

    - #### delete

          void delete(UserAttribute attribute)

    - #### getResource

          Resource getResource(String id)

    - #### getResource

          Resource getResource(Realm realm,
                             String name)

    - #### getResources

          List<Resource> getResources(Realm realm)

    - #### create

          Resource create(Realm realm,
                        Resource resource)

    - #### update

          void update(Resource resource)

    - #### delete

          void delete(Resource resource)

    - #### getRoleByName

          Role getRoleByName(Realm realm,
                           String roleName)

    - #### getRoleByName

          Role getRoleByName(Resource resource,
                           String roleName)

    - #### getRoles

          List<Role> getRoles(Realm realm,
                            Resource resource)

    - #### getRoles

          List<Role> getRoles(Realm realm)

    - #### getRole

          Role getRole(String id)

    - #### create

          Role create(Realm realm,
                    Resource resource,
                    String role)

    - #### create

          Role create(Realm realm,
                    String role)

    - #### delete

          void delete(Role role)

    - #### getRoleMappings

          List<RoleMapping> getRoleMappings(Realm realm)

    - #### getRoleMappings

          List<RoleMapping> getRoleMappings(Realm realm,
                                          Resource resource)

    - #### getRoleMapping

          RoleMapping getRoleMapping(Realm realm,
                                   User user)

    - #### getRoleMapping

          RoleMapping getRoleMapping(Realm realm,
                                   Resource resource,
                                   User user)

    - #### getRoleMapping

          RoleMapping getRoleMapping(String id)

    - #### create

          RoleMapping create(Realm realm,
                           User user,
                           RoleMapping mapping)

    - #### create

          RoleMapping create(Realm realm,
                           Resource resource,
                           User user,
                           RoleMapping mapping)

    - #### delete

          void delete(RoleMapping role)

    - #### getScopeMappings

          List<ScopeMapping> getScopeMappings(Realm realm)

    - #### getScopeMappings

          List<ScopeMapping> getScopeMappings(Realm realm,
                                            Resource resource)

    - #### getScopeMapping

          ScopeMapping getScopeMapping(Realm realm,
                                     User user)

    - #### getScopeMapping

          ScopeMapping getScopeMapping(Realm realm,
                                     Resource resource,
                                     User user)

    - #### getScopeMapping

          ScopeMapping getScopeMapping(String id)

    - #### create

          ScopeMapping create(Realm realm,
                            User user,
                            ScopeMapping mapping)

    - #### create

          ScopeMapping create(Realm realm,
                            Resource resource,
                            User user,
                            ScopeMapping mapping)

    - #### delete

          void delete(ScopeMapping scope)

    - #### getRealmsByName

          List<Realm> getRealmsByName(String name)

Copyright © 2014. All Rights Reserved.